Module java.base
Package javax.security.auth.login

# Class AppConfigurationEntry.LoginModuleControlFlag

java.lang.Object
javax.security.auth.login.AppConfigurationEntry.LoginModuleControlFlag

Enclosing class:
  AppConfigurationEntry

    public static class AppConfigurationEntry.LoginModuleControlFlag
    extends Object

This class represents whether or not a `LoginModule` is REQUIRED, REQUISITE, SUFFICIENT or OPTIONAL.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static AppConfigurationEntry.LoginModuleControlFlag` | `OPTIONAL` | Optional `LoginModule`.
`static AppConfigurationEntry.LoginModuleControlFlag` | `REQUIRED` | Required `LoginModule`.
`static AppConfigurationEntry.LoginModuleControlFlag` | `REQUISITE` | Requisite `LoginModule`.
`static AppConfigurationEntry.LoginModuleControlFlag` | `SUFFICIENT` | Sufficient `LoginModule`.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `toString()` | Return a String representation of this controlFlag.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### REQUIRED

public static final AppConfigurationEntry.LoginModuleControlFlag REQUIRED
Required `LoginModule`.

### REQUISITE

public static final AppConfigurationEntry.LoginModuleControlFlag REQUISITE
Requisite `LoginModule`.

### SUFFICIENT

public static final AppConfigurationEntry.LoginModuleControlFlag SUFFICIENT
Sufficient `LoginModule`.

### OPTIONAL

public static final AppConfigurationEntry.LoginModuleControlFlag OPTIONAL
Optional `LoginModule`.

## Method Details

### toString

public String toString()
Return a String representation of this controlFlag.

The String has the format, "LoginModuleControlFlag: flag", where flag is either required, requisite, sufficient, or optional.

Overrides:
  `toString` in class `Object`
Returns:
  a String representation of this controlFlag.